package es.verdnatura.presentation.view.feature.historicoarticulo.model

import android.os.Build
import androidx.annotation.RequiresApi
import es.verdnatura.domain.isoToString

class ItemHistoricoVO(
    //var shipped: String? = null,
    var stateName: String? = null,
    var origin: Int? = null,
    var reference: String? = null,
    var clientFk: Int? = null,
    var name: String? = null,
    var invalue: Int? = null,
    var out: Int? = null,
    var balance: Int? = null,
    var isError: Boolean = false,
    var errorMessage: String = ""
) {
    var shipped: String = ""
        @RequiresApi(Build.VERSION_CODES.O)
        get() {
            return field.isoToString(returnOnlyDate = true)
        }
}

class ItemHistoricoListVO(
    var list: List<ItemHistoricoVO> = listOf()
)
